Commit 22945b91 authored by John Tourtellott's avatar John Tourtellott

Add zlib dependency to libarchive; exclude expat & libxml2 dependencies

* The xml dependency causes version conflicts with older linux systems,
  e.g., ubuntu 16.04
* Because xml is only used for the xar format, turn it off
parent 497ea176
superbuild_add_project(libarchive
DEPENDS zlib
CMAKE_ARGS
ENABLE_LIBXML2:BOOL=OFF
ENABLE_EXPAT:BOOL=OFF
# quiet "developer-only" warnings
-Wno-dev
)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment